Bug 177790 - Revision Log and Branch Diagram screen generates Application Error
Revision Log and Branch Diagram screen generates Application Error
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: tkcvs (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Gérard Milmeister
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-13 19:07 EST by Graham Hudspith
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-01 15:03:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Extra text within Application Error dialog. (1.56 KB, text/plain)
2006-01-13 19:16 EST, Graham Hudspith
no flags Details
Trace from within tkcvs with all trace options enabled. (31.92 KB, text/plain)
2006-01-13 19:17 EST, Graham Hudspith
no flags Details
PNG of screen shot of the revision-diagram displayed by previous (working) version of tkcvs. (33.16 KB, image/png)
2006-01-13 19:41 EST, Graham Hudspith
no flags Details
PNG attaching to right-hand side of the previous diagram (23.53 KB, image/png)
2006-01-13 19:43 EST, Graham Hudspith
no flags Details

  None (edit)
Description Graham Hudspith 2006-01-13 19:07:00 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
Lots of files within our CVS repository cause the latest version of tkcvs to pop up an "Application Error" dialog when selecting a file and clicking on the "Revision Log and Branch Diagram" button.

Can't work out what is interesting about a particular file that causes this problem.

Everything works fine with the previous release (tkcvs-7.2.4-1.fc4).

This problem also occurs if I download the original source code for tkcvs - this does not appear to be a FC4 Extras packaging problem - so perhaps this bug should be punted upstream?

So, for instance, clicked on one of our files and the Application Error states:

Error: can't read "revtags(1.31.6)": no such element in array

The dialog offers to save the messages to a file - I'll attach that in a moment.

Also, I turned on full tracing within tkcvs. I'll paste that into another file and also attach it.


Version-Release number of selected component (if applicable):
tkcvs-8.0-2.fc4

How reproducible:
Sometimes

Steps to Reproduce:
Err, bring up tkcvs, navigate to a CVS-ed directory, go through each file, selecting each file in turn and clicking on the "Revision Log and Branch Diagram" button until one of the files causes an "Application Error" dialog to be popped up.


Additional info:
Comment 1 Graham Hudspith 2006-01-13 19:16:45 EST
Created attachment 123186 [details]
Extra text within Application Error dialog.
Comment 2 Graham Hudspith 2006-01-13 19:17:56 EST
Created attachment 123187 [details]
Trace from within tkcvs with all trace options enabled.
Comment 3 Graham Hudspith 2006-01-13 19:41:16 EST
Created attachment 123188 [details]
PNG of screen shot of the revision-diagram displayed by previous (working) version of tkcvs.

This is just one of 6 PNGs required to capture the whole revision history.

The others are not interesting (straight line descending from below this
screen, without branches), but I'm keeping them as a .tar.gz if you require
them at a later date ...
Comment 4 Graham Hudspith 2006-01-13 19:43:47 EST
Created attachment 123189 [details]
PNG attaching to right-hand side of the previous diagram

Sigh! This probably contains something interesting too ...
Comment 5 Gérard Milmeister 2006-01-14 07:35:20 EST
I was able to reproduce the error on one of my cvs projects. It happened
on on file that was not yet updated ("Needs Patch"). Maybe that's the
problem. In any case this is a bug in tkcvs that needs to be filed upstream.
Comment 6 Gérard Milmeister 2006-01-15 14:25:42 EST
The new version 8.0.1 is on its way to the repositories. This seems
to have fixed the problem.
Comment 7 Graham Hudspith 2006-01-15 18:31:21 EST
Just downloaded the new 8.0.1 from
http://www.twobarleycorns.net/tkcvs_8_0_1.tar.gz and modified with FC4 patches
from tkcvs-8.0-2.fc4.src.rpm

Still get the same problems.

So, suspect that this issue has NOT been fixed by 8.0.1 :-(

I've got 7.2.4 installed elsewhere, so I'm happy to wait until 8.0.1 appears in
Extras and reproducing against the official ported version ...
Comment 8 Graham Hudspith 2006-01-18 04:23:19 EST
Gérard,

I've updated to the new 8.0.1 rpm from Fedora Extras, and the problem still occurs.

What do you want to do?

Re-open this bug?

Or, as it is obviously a problem with tkcvs itself (rather than the packaging
into an rpm), I'm happy to raise a ticket on the tkcvs developers direct?
Comment 9 Gérard Milmeister 2006-01-18 05:01:58 EST
I reopened the bug. Yes, do file a bug upstream.
Comment 11 Gérard Milmeister 2006-01-31 09:30:00 EST
Currently building 8.0.2.
Please test with this version.
Comment 12 Graham Hudspith 2006-01-31 10:34:07 EST
Just installed 8.0.2. Looks good. I had installed a cvs-snapshot a while back
after their initial fix, but that never showed any merge arrows coming out of
HEAD. This version, 8.0.2, does, so even better!

Note You need to log in before you can comment on or make changes to this bug.